////////////////////////////////////////////////////
//
////////////////////////////////////////////////////

#ifndef _UOSDEVICEA_H_
#define _UOSDEVICEA_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef char UOS_INFOSTR[1024];

/*Function Des:获取当前设备主板信息
  Input:N/A
  Output:pMbSnInfo--主板信息输出缓冲区；如果获取失败则返回空字符串
  Return:N/A
*/
void uos_get_mb_sn(UOS_INFOSTR *pMbSnInfo);


/*Function Des:获取当前设备MAC信息
  Input:N/A
  Output:pMacInfo--MAC信息输出缓冲区；如果获取失败则返回空字符串
  Return:N/A
*/
void uos_get_mac(UOS_INFOSTR *pMacInfo);

/*Function Des:获取当前设备硬盘信息
  Input:N/A
  Output:pHddInfo--硬盘信息输出缓冲区；如果获取失败则返回空字符串
  Return:N/A
*/
void uos_get_hddsninfo(UOS_INFOSTR *pHddInfo);

/*Function Des:获取此系统硬件的唯一值
  Input:N/A
  Output:pHwSerial--系统硬件唯一值的输出数据缓冲区；获取信息失败则返回空
  Return:N/A
*/
void uos_get_hwserial(UOS_INFOSTR *pHwSerial);

/*Function Des:获取操作系统版本
  Input:N/A
  Output:pSvrSnInfo--操作系统版本输出缓冲区；如果获取失败则返回空字符串
  Return:N/A
*/
void uos_get_osver(UOS_INFOSTR *pOsVerInfo);

/*Function Des:获取当前系统激活状态
  Input:N/A
  Output:N/A
  Return:0-----当前系统激活
         其他--获取失败或者未激活
*/
int uos_is_active();

/*Function Des:获取用于网络验证的token
Input:N/A
Output:pLicenseSn--系统网络验证token数据输出缓冲区；如果获取失败则返回空字符串
Return:N/A
*/
void uos_get_licensetoken(UOS_INFOSTR *pLicenseToken);

#pragma pack()

#ifdef __cplusplus
}
#endif
#endif //#ifndef _UOSDEVICEA_H_

